Bug 655568 - [abrt] Miro-3.5-2.fc14: gstreamerrenderer.py:230:get_current_time:AttributeError: 'NoneType' object has no attribute 'query_position'
Summary: [abrt] Miro-3.5-2.fc14: gstreamerrenderer.py:230:get_current_time:AttributeEr...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: Miro
Version: 14
Hardware: x86_64
OS: Unspecified
low
medium
Target Milestone: ---
Assignee: Alex Lancaster
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:2d537788
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-11-21 18:31 UTC by Misha Shnurapet
Modified: 2012-03-20 20:19 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-03-20 20:19:52 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (1.67 KB, text/plain)
2010-11-21 18:31 UTC, Misha Shnurapet
no flags Details

Description Misha Shnurapet 2010-11-21 18:31:31 UTC
abrt version: 1.1.13
architecture: x86_64
cmdline: /usr/bin/python /usr/bin/miro.real '/home/anna/\xd0\x97\xd0\xb0\xd0\xb3\xd1\x80\xd1\x83\xd0\xb7\xd0\xba\xd0\xb8/Usachev_Igra_v_klasikov2.rar.torrent'
comment: no idea
component: Miro
executable: /usr/bin/miro.real
kernel: 2.6.35.6-48.fc14.x86_64
package: Miro-3.5-2.fc14
reason: gstreamerrenderer.py:230:get_current_time:AttributeError: 'NoneType' object has no attribute 'query_position'
release: Fedora release 14 (Laughlin)
time: 1290134765
uid: 502

backtrace
-----
gstreamerrenderer.py:230:get_current_time:AttributeError: 'NoneType' object has no attribute 'query_position'

Traceback (most recent call last):
  File "/usr/lib64/python2.7/site-packages/miro/frontends/widgets/gtk/weakconnect.py", line 49, in handle_callback
    return real_method(obj, *(args + self.user_args))
  File "/usr/lib64/python2.7/site-packages/miro/frontends/widgets/gtk/customcontrols.py", line 255, in on_released
    self.emit('released')
  File "/usr/lib64/python2.7/site-packages/miro/signals.py", line 149, in emit
    if callback.invoke(self, args):
  File "/usr/lib64/python2.7/site-packages/miro/signals.py", line 70, in invoke
    return self.func(obj, *(args + self.extra_args))
  File "/usr/lib64/python2.7/site-packages/miro/frontends/widgets/application.py", line 292, in on_stop_fast_playback
    app.playback_manager.stop_fast_playback()
  File "/usr/lib64/python2.7/site-packages/miro/frontends/widgets/playback.py", line 354, in stop_fast_playback
    self.notify_update()
  File "/usr/lib64/python2.7/site-packages/miro/frontends/widgets/playback.py", line 244, in notify_update
    elapsed = self.player.get_elapsed_playback_time()
  File "/usr/lib64/python2.7/site-packages/miro/frontends/widgets/gtk/video.py", line 531, in get_elapsed_playback_time
    return self.renderer.get_current_time()
  File "/usr/lib64/python2.7/site-packages/miro/plat/renderers/gstreamerrenderer.py", line 230, in get_current_time
    position, fmt = self.playbin.query_position(gst.FORMAT_TIME)
AttributeError: 'NoneType' object has no attribute 'query_position'

Local variables in innermost frame:
self: <miro.plat.renderers.gstreamerrenderer.VideoRenderer instance at 0x1c0d5a8>
attempt: 0

Comment 1 Misha Shnurapet 2010-11-21 18:31:34 UTC
Created attachment 461853 [details]
File: backtrace

Comment 2 TFH 2010-12-17 21:47:29 UTC
Package: Miro-3.5-2.fc14
Architecture: i686
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1.Trying to play a downloaded video from the Miro site.
2.
3.

Comment 3 Alex Lancaster 2012-03-20 20:19:52 UTC
Miro has been retired in Fedora, closing all as WONTFIX.  It has been moved to the RPM Fusion repository (package has been renamed as "miro").  See RPM Fusion wiki for more details:  http://rpmfusion.org/Configuration


Note You need to log in before you can comment on or make changes to this bug.